Gets Currency by id
Gets Currency by id
Gets Currency by id
Path Parameters
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Currency
Currency
Currencies model
Currency Id
Currency Code
Currency Name
Last Modified On
Path Parameters
Headers
customers
Searches Customers by parameters
Searches Customers by parameters
Query Parameters
Created since
Modified since
Order by.
Available field name values: id, customer_number, email, mobile, first_name, last_name, company, customer_type_name, receive_email, receive_post, receive_sms,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
account_customer_enabled, account_customer_payment_terms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, account_customer_credit_limit, account_customer_credit_remaining, sales_channel:id
Available direction values: id asc, customer_number desc.
Example: id asc, supplier desc
Filter by.
Available field name values: id, customer_number, first_name, last_name, full_name, company, date_of_birth, date_of_birth_withheld, customer_type_name,
mobile, phone, email, account_customer_enabled, account_customer_payment_terms, account_customer_credit_blocked, account_customer_credit_limit, account_customer_credit_remaining,
billing_address_suburb, billing_address_state, billing_address_postcode, billing_address_country,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
receive_email, receive_post, receive_sms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, sales_channel:id
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: id:eq:303062, sales_channel:3039:eq:true
Format - int32.
>= 1<= 100000
Format - int32.
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Customers data
Customer.PagingResponse
Customer model
Show Child Parameters
Query Parameters
Headers
Creates Customer
Sample request:
POST /customers
{
"first_name": "FirstNameUser",
"last_name": "LastNameUser",
"company": "company",
"abn": "abn",
"phone": "+321",
"fax": "fax",
"mobile": "+123",
"email": "email@lel.org",
"website": "website.org",
"custom_reference": "customReference",
"export_to_web": true,
"customer_type": {
"name": "type1",
"id": 5
},
"home_outlet": {
"id": 1,
"name": "name"
},
"date_of_birth": "1999-04-30",
"date_of_birth_withheld": false,
"marketing":{
"receive_email": true,
"receive_post": true,
"receive_sms": true
},
"price_groups": [
{
"id": 1,
"name": "name1",
"type": "Standard"
},
{
"id": 5,
"name": "name2",
"type": "Fixed"
}],
"billing_address": {
"address_line1": "address_line1",
"address_line2": "address_line2",
"suburb": "suburb",
"state": "state",
"postcode": "postcode",
"country": "country",
"email": "sampleemail@kek.au"
},
"loyalty_program": {
"enabled": false,
"auto_price_group": false
},
"account_customer": {
"enabled": false,
"payment_terms": 0,
"credit_limit": 0,
"credit_blocked": false,
"credit_remaining": 10
},
"survey_responses": [{
"id": 1,
"question": "question1",
"answer": "answer"
}]
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
EmptyExample
Response
application/json
Response
Customer created
Customer
Customer model
Account customer view model
Show Child Parameters
Abn
Billing address model
Show Child Parameters
Company
Customer number
Customer type model
Show Child Parameters
Date of birth
Date of birth with held
Delivery Address model
Show Child Parameters
Fax
First name
Identifier
Last name
Loyalty program model
Show Child Parameters
Marketing view model
Show Child Parameters
Mobile
Phone
Price group model
Show Child Parameters
Survey Response model
Show Child Parameters
Website
Customer Outlet Model
Show Child Parameters
Custom reference
Export to web
CustomerSalesChannel Model
Show Child Parameters
Created on
Modified on
Headers
Body
Gets specific Customer by unique id
Gets specific Customer by unique id
Path Parameters
Customer id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Customer
Customer
Customer model
Account customer view model
Show Child Parameters
Abn
Billing address model
Show Child Parameters
Company
Customer number
Customer type model
Show Child Parameters
Date of birth
Date of birth with held
Delivery Address model
Show Child Parameters
Fax
First name
Identifier
Last name
Loyalty program model
Show Child Parameters
Marketing view model
Show Child Parameters
Mobile
Phone
Price group model
Show Child Parameters
Survey Response model
Show Child Parameters
Website
Customer Outlet Model
Show Child Parameters
Custom reference
Export to web
CustomerSalesChannel Model
Show Child Parameters
Created on
Modified on